$searchButtonColor: #0078e7;
$linkColor: #009579;
$whiteColor: #fff;
$shadowColor: #ddd;
$borderColor: #ccc;
$navActiveColor: brown;
body {
    --nav-width: 150px;
    margin: 0 0 0 var(--nav-width);
    font-family: 'Quicksand', sans-serif;
    font-size: 14px;      
}

//Navigation
.nav {
    .nav-link {
        display: block;
        padding: 12px 12px;
        text-decoration: none;
        color: $whiteColor;
        font-weight: 500;
        &.active {
            background-color: $navActiveColor;
        }
        &:hover {
            background-color: $linkColor;
        }
    }    
    position: fixed;
    top: 0;
    left: 0;
    width: var(--nav-width);
    height: 100vh;
    background: #222222;
}

#app {
    margin: 2em;
    line-height: 1.5;
    font-weight: 500;
}

a {
    color: $linkColor;
}

//Search-box
.search-form {
    .search-button {    
        box-sizing: border-box;
        cursor: pointer;
        display: inline-block;
        line-height: normal;
        user-select: none;
        vertical-align: middle;    
        border: transparent;
        border-radius: 4px;
        background-color: $searchButtonColor;
        color: $whiteColor;
        font-size: 100%;
        line-height: 1.15;
        margin: 0;
        padding: .55em 1em;
        text-decoration: none;
        display: inline;
    }
    .search-button:hover{
        background-image: linear-gradient(transparent,rgba(0,0,0,.05) 40%,rgba(0,0,0,.1));
    }
    .search-text {
        display: inline;
        border: 1px solid $borderColor;
        border-radius: 4px;
        box-shadow: inset 0 1px 3px $shadowColor;
        box-sizing: border-box;
        padding: .5em .6em;
        vertical-align: middle;
        font-size: 100%;
        line-height: 1.15;
        margin: 0;
    }
    white-space: nowrap;
}

//Grid
table {
    tbody {
        tr:nth-of-type(odd) {
        background-color: rgba(0,0,0,.05);
        }
    }

    td, th {
        padding: .75rem;
        vertical-align: top;
        border-top: 1px solid #dee2e6;    
        display: table-cell;
        font-weight: normal;
    }
    td.header {
        border-right: 1px solid #dee2e6;
        font-weight: inherit;
    }
        
    th.header {
        font-weight: inherit;
    }
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    background-color: transparent;
    border-collapse: collapse;
}


.content-block {
margin-top: 15px;
}

//Spinner
.spinner {
  position: fixed;
  left: 50%;
  top: 50%;
  right: 50%;
  bottom: 50%;
  overflow: hidden;
  border: 16px solid #dee2e6;
  border-radius: 50%;
  border-top: 16px solid $linkColor;
  width: 30px;
  height: 30px;  
  animation: spin 1s linear infinite;
  z-index: 1001;
}

.loaded .spinner {
        display: none;
}


/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


